/*#################################*/
/*   YOO MORENO LOGOTEL - CUSTOM   */
/*#################################*/

/* ============ INFO ============ *//* 
  
  # Version:  0.1;
  # Upadated: 15/09/2021;
  # Authors:
      ...

*//* ============================== */


/* ====== TABLE OF CONTENTS ====== *//*
  
  # ...

*//* ============================== */
#yoo-zoo.yoo-zoo.blog-default.blog-default-frontpage .heading {
  border-bottom: 0;
  padding-bottom: 0;
}

#yoo-zoo.yoo-zoo.blog-default.blog-default-frontpage .heading .title {
  font-size: var(--LGTtypesize);
  text-transform: uppercase;
  letter-spacing: .18em;
  font-weight: 600;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  margin: calc(var(--LGTspace, 15px) * 3) 0 var(--LGTspace, 15px);
  font-family: var(--LGTfontstack-heading, Helvetica, Arial, sans-serif);
  font-weight: 700;
  line-height: 1.2;
}


/* # Fix for 'new user' button in french view */
html[lang="fr-FR"] .btn.btn-success.btn-show-form-user {
  width: 7.5rem;
  font-size: 14px;
}
/* # END Fix for 'new user' button in french view */

/* # Gallery */
.STEPX-newHP_gallery {
  margin-top: 6rem;
}
.STEPX-gallery-upload .pos-meta {
  display: none;
}
.STEPX-newHP_gallery .zoo-item-list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  margin-left: -10px;
  margin-right: -10px;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}
.STEPX-newHP_gallery .zoo-item-list > li,
.STEPX-newHP_gallery .zoo-item-list > li:first-child {
  padding: 10px;
  min-height: auto;
  -webkit-box-flex: inherit;
      -ms-flex: inherit;
          flex: inherit;
  margin: 0;
  border: none;
}
.STEPX-newHP_gallery h2 {
  border-top: 1px solid;
  padding-top: calc(var(--LGTbaseunit) / 2);
  margin-top: 0;
  margin-bottom: var(--LGTbaseunit);
  font-size: var(--LGTtypesize);
  text-transform: uppercase;
  letter-spacing: .18em;
  font-weight: 600;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.STEPX-newHP_gallery .moduletable {
  background-color: var(--LGTcolor-neutral-light, #FAFAFA);
  padding: 10px 20px;
}
.STEPX-newHP_gallery .moduletable .zoo-item-list li .layout-default {
  display: flex;
  min-height: 200px;
}
.STEPX-newHP_gallery .moduletable .zoo-item-list li .layout-default .media {
  cursor: pointer;
  margin-left: auto;
  margin-right: auto;
}
.STEPX-gallery .btn-goto,
.STEPX-newHP_gallery .ENLWG-modulefooter a {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  min-width: 7.5em;
  min-height: 2.5em;
  margin: 0.2em 0;
  border: 1px solid;
  padding: 0 1em;
  line-height: calc(2.5em - 2px);
  color: var(--LGTcolor-ink-extradark);
  font-size: 1rem;
  isolation: isolate;
  text-transform: uppercase;
  text-decoration: none;
}
.STEPX-gallery .btn-goto::before,
.STEPX-newHP_gallery .ENLWG-modulefooter a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 0;
  background: var(--LGTcolor-primary);
  transition: opacity .2s cubic-bezier(.4,0,1,1);
  z-index: -1;
}
.STEPX-gallery .btn-goto:hover::before,
.STEPX-newHP_gallery .ENLWG-modulefooter a:hover::before {
  opacity: 1;
  transition: opacity .2s cubic-bezier(.4,0,1,1);
}
.STEPX-gallery .btn-goto{
  float: right;
}
.STEPX-gallery #yoo-zoo .details{
  display: flex;
  justify-content: space-between;
  position: relative;
}
.STEPX-gallery #yoo-zoo .details .description a.LGTpanel__heading--link{
  margin: calc(var(--LGTspace, 15px) * 3) 0 0;
  top: 0;
}
.STEPX-newHP_gallery .ENLWG-modulefooter a:hover {
  color: var(--LGTcolor-ink-extradark);
}
#item-submission > fieldset.pos-content.creation-form,
#item-submission > fieldset.pos-content.creation-form > legend {
  font-family: var(--LGTfontstack-heading, proxima-nova, Helvetica, Arial, sans-serif) !important;
}

.STEPX-gallery .uk-panel-title,
.STEPX-gallery-upload .headline {
  font-family: var(--LGTfontstack-heading, proxima-nova, Helvetica, Arial, sans-serif) !important;
  margin: calc(var(--LGTspace, 15px) * 3) 0 var(--LGTspace, 15px) !important;
  font-size: var(--LGTtypesize) !important;
  text-transform: uppercase;
  letter-spacing: .18em !important;
  line-height: 1.2 !important;
  font-weight: 600 !important;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis
}
.STEPX-gallery .uk-panel-title{
  margin: calc(var(--LGTspace, 15px) * 3) 0 0 !important;
}
.STEPX-gallery-upload input[type="file"],
.STEPX-gallery-upload input[type="text"],
.STEPX-gallery-upload input[type="email"],
.STEPX-gallery-upload textarea,
.STEPX-gallery-upload button {
  position: relative;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  padding: 0 1em;
  line-height: calc(2.5em - 2px);
  color: var(--LGTcolor-ink-extradark);
  border: 1px solid !important;
  font-size: 1rem;
  isolation: isolate;
  text-decoration: none;
  background: transparent !important;
}
.STEPX-gallery-upload input[type="file"],
.STEPX-gallery-upload input[type="text"],
.STEPX-gallery-upload input[type="email"],
.STEPX-gallery-upload textarea{
  width: calc(100% - 140px);
}
.STEPX-gallery-upload input[type="file"],
.STEPX-gallery-upload input[type="text"],
.STEPX-gallery-upload input[type="email"],
.STEPX-gallery-upload textarea,
.STEPX-gallery-upload button,
.STEPX-gallery-upload select {
  border-radius: 0 !important;
}
.STEPX-gallery-upload .creation-form .upload input[type="text"]{
  padding: 3px 1em;
  width: calc(100% - 75px);
}
.STEPX-gallery-upload .creation-form .upload div.button-container,
.STEPX-gallery-upload .creation-form .upload div.button-container button.button-grey.search,
.STEPX-gallery-upload .creation-form .upload div.button-container input[type="file"]{
  height: 38px;
  margin: 0;
  transition: all .2s cubic-bezier(.4,0,1,1);
  cursor: pointer;
}
.STEPX-gallery-upload .creation-form .upload div.button-container input[type="file"]{
  width: 70px;
}
.STEPX-gallery-upload .creation-form .upload div.button-container button.button-grey.search{
  padding: 0;
  text-transform: uppercase;
  text-shadow: unset!important;
}
.STEPX-gallery-upload .creation-form .upload div.button-container:hover{
  background-color: var(--LGTcolor-primary);
}
.STEPX-gallery-upload #submit-button {
  background-color: var(--LGTcolor-primary) !important;
  text-shadow: unset !important;
  color: black !important;
  text-transform: uppercase;
}
.STEPX-gallery-upload button{
  cursor: pointer;
}
.STEPX-gallery-upload #item-submission {
  max-width: 700px;
}
.STEPX-gallery-upload textarea::before,
.STEPX-gallery-upload button::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 0;
  background: var(--LGTcolor-primary);
  transition: opacity .2s cubic-bezier(.4,0,1,1);
  z-index: -1;
}
.STEPX-gallery-upload .element strong::after {
  content: " *";
  color: var(--LGTcolor-primary);;
}

.STEPX-gallery .width100 {
  margin-left: 0 !important;
}

.STEPX-gallery-upload .creation-form legend,
.STEPX-gallery-upload .image-select select,
.STEPX-gallery-upload .image-select span.select,
.STEPX-gallery-upload .more-options{
  display: none;
}

@media(max-width:767px){
  .STEPX-gallery-upload input[type="file"], 
  .STEPX-gallery-upload input[type="text"], 
  .STEPX-gallery-upload input[type="email"], 
  .STEPX-gallery-upload textarea{
    width: 100%;
  }
}

/*Gallery news full*/
.STEPX-gallery #yoo-zoo .item div.pos-content .element-itemauthor,
.STEPX-gallery #yoo-zoo .item div.pos-content .element-image{
  margin-bottom: 3em;
}
.STEPX-gallery  #yoo-zoo .item div.pos-content .element-itemauthor h3{
  font-size: var(--LGTtypesize-l);
  margin: 0;
}
.STEPX-gallery #yoo-zoo.blog-default div.items > div > div.teaser-item{
  padding: 0;
  margin-bottom: 0;
}
.STEPX-gallery #yoo-zoo.blog-default div.items > div, #yoo-zoo div.pos-related ul{
  background: var(--LGTcolor-neutral-light, #FAFAFA);
}
/* # END Gallery */

/* # you don't have to change password just to modify profile picture STEPX-page__profileedit */
.STEPX-page__profileedit .fieldset-core {
  margin-top: 9rem;
  position: relative;
}
.STEPX-page__profileedit .control-label {
  pointer-events: none;
}
.STEPX-page__profileedit .btn {
  cursor: pointer;
}
.STEPX-page__profileedit .LOG-text--light {
  text-align: center;
}
.STEPX-page__profileedit .fieldset-core::after {
  content: '';
  position: absolute;
  top: -6.2rem;
  left: 50%;
  transform: translateX(-50%);
  height: 6px;
  background-color: var(--LGTcolor-primary);
  width: 120%;
}
.STEPX-page__profileedit fieldset {
  position: relative;
}
.STEPX-page__profileedit fieldset::before {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: -2rem;
  width: max-content;
  height: 1rem;
}
/* # END you don't have to change password just to modify profile picture STEPX-page__profileedit */

/* * Coming soon in repository */
.comingSoonNotice {
  padding-top: 5rem;
  color: white;
}

/* ### SURVEY ### */
h3.LGTpanel__title--noborder {
  border-top: 0;
}

#cj-wrapper h1.LGTsurvey__listtitle {
  font-size: var(--LGTtypesize-l-2, 2.6rem);
  font-weight: bold;
}


table.LGTtable--light td {
  border-bottom-color: var(--LGTcolor-neutral-extradark, #9B9B9B);
}

table.LGTtable--light td,
table.LGTtable--light th {
  padding: calc(var(--LGTspace, 15px)*0.66);
}

table.LGTtable--light th {
  font-weight: normal;
}

.LGTsurvey__listtable th:last-child,
.LGTsurvey__listtable td:last-child,
#cj-wrapper .LGTsurvey__listtable th:last-child {
  text-align: right;
}

.LGTsurvey__listtable td:last-child {
  white-space: nowrap;
  color: var(--LGTcolor-neutral-extradark, #9B9B9B);
}

.LGTsurvey__listtable td:first-child a::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  margin:  auto;
  width: 15px;
  height: 15px;
  background-image: url(/templates/yoo_moreno_community/images/icons/STEPX_ICO_arrowright.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

.LGTsurvey__listtable td:first-child,
.LGTsurvey__listtable th:first-child {
  position: relative;
  padding-left: 30px;
}

@media (max-width: 625px) {
  .LGTsurvey__listtable,
  .LGTsurvey__listtable thead,
  .LGTsurvey__listtable tbody,
  .LGTsurvey__listtable tr,
  .LGTsurvey__listtable td,
  .LGTsurvey__listtable th {
    display: block;
  }

  .LGTsurvey__listtable th:last-child,
.LGTsurvey__listtable thead,
  .LGTsurvey__listtable td:first-child a::before{
    display: none;
  }

  .LGTsurvey__listtable td:not(:last-child) {
    border: none;
  }

  .LGTsurvey__listtable td:first-child,
  .LGTsurvey__listtable th:first-child {
    padding-left: calc(var(--LGTspace, 15px)*0.66);
    padding-bottom: 0;
  }
}


@media (min-width: 1100px) {
  .LGTsurvey__list,
  .STEPX-communitysurvey {
    display: grid;
    grid-template-columns: repeat(12, minmax(10px, 1fr));
  }

  .LGTsurvey__list > *,
  .STEPX-communitysurvey > * {
    grid-column: 2 / 12;
  }
}

@media (min-width: 1200px) {
  .LGTsurvey__list > *,
  .STEPX-communitysurvey > * {
    grid-column: 2 / 11;
  }
}

@media (min-width: 1300px) {
  .LGTsurvey__list > *,
  .STEPX-communitysurvey > * {
    grid-column: 2 / 10;
  }
}